## Version checks

Version checks — Version information in the API.

## Functions

#define | MBIM_CHECK_VERSION()

## Types and Values

#define | MBIM_MAJOR_VERSION
#define | MBIM_MINOR_VERSION
#define | MBIM_MICRO_VERSION

## Description

This section defines types that are used to identify the libmbim-glib version.

## Functions

### MBIM_CHECK_VERSION()

    #define             MBIM_CHECK_VERSION(major,minor,micro)

Checks the version of the library that is being compiled against.

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the libmbim-glib header files is the same as or newer than the passed-in version.

Since: 1.2

## Types and Values

### MBIM_MAJOR_VERSION

    #define MBIM_MAJOR_VERSION (1)

Evaluates to the major version number of libmbim-glib which this source is compiled against.

Since: 1.2

### MBIM_MINOR_VERSION

    #define MBIM_MINOR_VERSION (34)

Evaluates to the minor version number of libmbim-glib which this source is compiled against.

Since: 1.2

### MBIM_MICRO_VERSION

    #define MBIM_MICRO_VERSION (0)

Evaluates to the micro version number of libmbim-glib which this source compiled against.

Since: 1.2